<?php

class Stempel extends DatabaseTable {

  public function __construct($id=false)
  {
    parent::__construct('stempel', $id);
  }

  public function ajaxEditTask(Array $data)
  {
      return $this->modify('task', utf8_decode(str_replace('&amp;', '&', $data['content'])));
  }

  public function ajaxSetStatus(Array $data)
  {
    if (count($data['ids'])) {
      $sql = sprintf('UPDATE %s SET status = %d WHERE id IN (%s)',
		     $this->table,
		     $data['status'], implode(',',$data['ids']));
      return $this->execute($sql);
    }

    return true;
  }

}
